%global goipath github.com/facebookarchive/structtag
%global commit 217e25fb96916cc60332e399c9aa63f5c422ceed
Version:        0

%gometa

%global oldgoipath github.com/facebookgo/structtag
%global oldgoname  %gorpmname %{oldgoipath}

Name:           %{goname}
Release:        0.3%{?dist}
Summary:        Package providing parsing of the defacto struct tag style
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}.

%build
true

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}.

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%package -n %{oldgoname}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{oldgoname}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{oldgoipath} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall
%goinstall -i %{oldgoipath} -o oldgodevel.file-list


%check
%gochecks


%files devel -f devel.file-list
%doc readme.md
%license license

%files -n %{oldgoname}-devel -f oldgodevel.file-list
%doc readme.md
%license license


%changelog
* Mon Apr 29 2019 Mark Goodwin <mgoodwin@redhat.com> - 0-0.3.20190321git217e25fb
- bump to rebuild the subpackage for the non-archived import path

* Thu Mar 28 2019 Nathan Scott <nathans@redhat.com> - 0-0.2.20190321git217e25fb
- Add a subpackage for the non-archived import path as well

* Thu Mar 21 2019 Mark Goodwin <mgoodwin@redhat.com> - 0-0.1.20190321git217e25fb
- First package for Fedora
